package MT::Plugin::MTIfAndroid;
use strict;
use MT;
use MT::Plugin;
use base qw( MT::Plugin );

@MT::Plugin::MTIfAndroid::ISA = qw( MT::Plugin );

our $VERSION = '0.1';

my $plugin = __PACKAGE__->new( {
    id   => 'MTIfAndroid',
    key  => 'mtifandroid',
    name => 'MTIfAndroid',
    description => 'MT Template tag - MTIfAndroid',
    author_name => 'Junnama Noda',
    author_link => 'http://junnama.alfasado.net/online/',
    version => $VERSION,
} );

MT->add_plugin( $plugin );

sub init_registry {
    my $plugin = shift;
    $plugin->registry( {
        tags => {
            block    => {
                'IfAndroid?' => \&_hdlr_if_android,
            },
        },
   } );
}

sub _hdlr_if_android {
    my ( $ctx, $args, $cond ) = @_;
    my $app = MT->instance();
    if ( ref $app eq 'MT::App::CMS' ) {
        my $ua = $app->get_header( 'User-Agent' );
        if ( $ua =~ /Android/ ) {
            return 1;
        }
    }
    return 0;
}

1;